import com.revusky.niggle.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;

public class HelloNiggleServletInteraction extends ServletInteraction {
    /**
     * The obligatory constructor. Your ServletInteraction subclass must have a
     * constructor with this signature. This is the case even though we don't
     * actually have to do anything in the constructor (besides invoking
     * the superclass's constructor, that is.)
     */
    public HelloNiggleServletInteraction(HttpServletRequest request, 
                                         HttpServletResponse response, 
                                         NiggleConfig config)
    throws IOException {
        super(request, response, config);
    }

    /**
     * The "default" action handler. This will be invoked
     * if there is no "action" parameter defined in the request parameters.
     * Otherwise, if your request defines a parameter "action=foo"
     * the framework will take this as a signal to invoke the
     * ServletInteraction's execFoo() method. Our simple "Hello, World"
     * servlet has only a single "default" action so we only define execDefault().
     */
    public void execDefault() throws IOException {
        this.page = getPage("hello.nhtml");
        page.expose("title", "Hello, World");
        page.expose("message", "Welcome to the brave new niggle world!");
    }
}
